/*! Ultimate Media On The Cloud | (c) PhpRockets Team | Digital Ocean Setting Page */
jQuery(function() {
    var dg_addon_alias = 'digitalocean';
    jQuery('#btn-'+ dg_addon_alias +'-connect').click(function(e) {
        e.preventDefault();
        var app_key = jQuery('#dg-app-key').val(),
            app_secret = jQuery('#dg-app-secret').val(),
            space_name = jQuery('#dg-space-name').val(),
            region = jQuery('#dg-app-region').val();
        if (app_key === '' || app_secret === '' || space_name === '' || region === '') {
            phpR_UCM.toast.show('error', phpR_UCM.l10n._e('dg', '_require_all_fields'));
            return;
        }

        phpR_UCM.toast.hide();
        phpR_UCM.showLoading();
        jQuery.ajax({
            url: phprockets_ucm_dg.connect,
            type: 'POST',
            dataType: 'json',
            data: jQuery('#frm-ucm-'+ dg_addon_alias).serialize(),
            timeout: 36000,
            success: function (response) {
                if (response.success) {
                    phpR_UCM.toast.show('success', response.data.message);
                } else {
                    phpR_UCM.toast.show('error', response.data.message);
                }
                phpR_UCM.hideLoading();
            },
            error: function (xhr, status, errorThrown) {
                phpR_UCM.hideLoading();
                phpR_UCM.toast.show('error', errorThrown);
            }
        });
    });

    jQuery('#btn-'+ dg_addon_alias +'-setting').click(function(e) {
        e.preventDefault();
        var app_key = jQuery('#dg-app-key').val(),
            app_secret = jQuery('#dg-app-secret').val(),
            region = jQuery('#dg-app-region').val(),
            space_name = jQuery('#dg-space-name').val(),
            cloud_path = jQuery('#dg-cloud-path').val();

        if (app_key === '' || app_secret === '' || region === ''
            || cloud_path === '' || space_name === '') {
            phpR_UCM.toast.show('error', phpR_UCM.l10n._e('dg', '_require_all_fields'));
            return;
        }

        phpR_UCM.toast.hide();
        phpR_UCM.showLoading();
        jQuery.ajax({
            url: phprockets_ucm_dg.saveSettings,
            type: 'POST',
            dataType: 'json',
            data: jQuery('#frm-ucm-'+ dg_addon_alias).serialize(),
            timeout: 36000,
            success: function (response) {
                if (response.success) {
                    phpR_UCM.toast.show('success', response.data.message);
                } else {
                    phpR_UCM.toast.show('error', response.data.message);
                }
                phpR_UCM.hideLoading();
            },
            error: function (xhr, status, errorThrown) {
                phpR_UCM.hideLoading();
                phpR_UCM.toast.show('error', errorThrown);
            }
        });
    });

    jQuery('#btn-dg-retrieve-credentials').click(function(e) {
        e.preventDefault();
        var master_password = jQuery('input#master-password').val();
        if (!master_password) {
            phpR_UCM.toast.show('error', phpR_UCM.l10n._e('dg', '_required_master_password'));
            return false;
        }

        var jEle = jQuery(this);
        jEle.addClass('is-loading');
        phpR_UCM.toast.hide();
        jQuery.ajax({
            url: phprockets_ucm_dg.retrieveCredentials,
            type: 'POST',
            dataType: 'json',
            data: {id:jEle.data('account'), master_password:master_password},
            timeout: 36000,
            success: function (response) {
                if (response.success) {
                    jQuery('#div-retrieve-credentials').hide();
                    jQuery('input#dg-app-key').val(response.data.app_key);
                    jQuery('input#dg-app-secret').val(response.data.app_secret);
                    phpR_UCM.modal.close(jQuery('#modal-retrieve-credentials'));
                } else {
                    phpR_UCM.toast.show('error', response.data.message);
                }
                jEle.removeClass('is-loading');
            },
            error: function (xhr, status, errorThrown) {
                phpR_UCM.toast.show('error', errorThrown);
                jEle.removeClass('is-loading');
            }
        });
    });
});