<?php /**@var PhpRockets_UCM_DigitalOcean_AddOn $self_addon */ /**@var PhpRockets_UltimateMedia_Root $ucm */ ?>
<table class="ucm-table is-hoverable is-fullwidth">
    <thead>
        <tr>
            <th width="60">#</th>
            <th width="250"><?php _e('Name', 'ultimate-media-on-the-cloud') ?></th>
            <th width="80"> <?php _e('Is Default', 'ultimate-media-on-the-cloud') ?></th>
            <th width="150"><?php _e('Space name', 'ultimate-media-on-the-cloud') ?></th>
            <th width="120"><?php _e('Region', 'ultimate-media-on-the-cloud') ?></th>
            <th width="120"><?php _e('CDN?', 'ultimate-media-on-the-cloud') ?></th>
            <th width="150" align="center"><?php _e('Actions', 'ultimate-media-on-the-cloud') ?></th>
        </tr>
    </thead>
    <tbody>
        <?php
            /** @var array $accounts */
            if ($accounts) :
        ?>
                <?php foreach ($accounts as $account) : ?>
                    <?php $account_value = unserialize($account['value']) ?>
                    <tr class="account-row">
                        <td><?php echo $account['id'] ?></td>
                        <td><?php echo $account['name'] ?></td>
                        <td>
                            <?php if ($account['is_default']) : ?>
                                <span class="tag is-success">
                                    Yes
                                </span>
                            <?php else  : ?>
                                <a href="<?php echo admin_url() .'admin.php?page='. $ucm::$configs->getMenuSlug('account_menu') .'&ucm-action=set-default&type='. $self_addon::$addon_alias_key .'&id='. $account['id'] ?>" class="button is-small is-info" onclick="return confirm('<?php _e('Set this account as default?', 'ultimate-media-on-the-cloud') ?>')">
                                    <?php _e('set default', 'ultimate-media-on-the-cloud') ?>
                                </a>
                            <?php endif ?>
                        </td>
                        <td><span class="tag is-warning"><?php echo $account_value['bucket'] ?></span></td>
                        <td><span class="tag is-primary"><?php echo $account_value['region'] ?></span></td>
                        <td>
                            <?php if ($account_value['enable_cdn']) : ?>
                                <span class="tag is-primary"><?php _e('Enabled', 'ultimate-media-on-the-cloud') ?></span>
                            <?php else : ?>
                                <span class="tag is-warning"><?php _e('No', 'ultimate-media-on-the-cloud') ?></span>
                            <?php endif ?>
                        </td>
                        <td>
                            <div class="buttons has-addons is-small">
                                <span class="button is-small is-info" onclick="window.location.href='<?php echo admin_url() .'admin.php?page='. $ucm::$configs->getMenuSlug('account_menu') .'&ucm-action=edit&type='. $self_addon::$addon_alias_key .'&id='. $account['id'] ?>'"><?php _e('Edit', 'ultimate-media-on-the-cloud') ?></span>
                                <span class="button is-small is-danger btn-remove-account" data-id="<?php echo $account['id'] ?>"><?php _e('Delete', 'ultimate-media-on-the-cloud') ?></span>
                            </div>
                        </td>
                    </tr>
                <?php endforeach ?>
        <?php else : ?>
            <tr>
                <td colspan="6">
                    <aside class="message is-warning">
                        <div class="message-body message-small">
                            <?php _e('Your account is empty.', 'ultimate-media-on-the-cloud') ?>
                        </div>
                    </aside>
                </td>
            </tr>
        <?php endif ?>
    </tbody>
</table>
<p align="right">
    <a href="<?php echo admin_url() .'admin.php?page='. $ucm::$configs->getMenuSlug('account_menu') .'&ucm-action=create&type='. $self_addon::$addon_alias_key ?>" class="button is-info mt5 mb5"> <?php _e('Add account', 'ultimate-media-on-the-cloud') ?></a>
</p>